Get a relationship from the registry
curl --request GET \
--url https://api.{workspaceId}.clinia.cloud/sources/{sourceKey}/v1/relationships/{relationshipType}/{id} \
--header 'X-Clinia-API-Key: <api-key>'import requests
url = "https://api.{workspaceId}.clinia.cloud/sources/{sourceKey}/v1/relationships/{relationshipType}/{id}"
headers = {"X-Clinia-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Clinia-API-Key': '<api-key>'}};
fetch('https://api.{workspaceId}.clinia.cloud/sources/{sourceKey}/v1/relationships/{relationshipType}/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"type": "<string>",
"from": {
"id": "<string>",
"type": "<string>"
},
"to": {
"id": "<string>",
"type": "<string>"
},
"data": {},
"meta": {
"createdAt": "2023-11-07T05:31:56Z",
"identifier": [
{
"id": "<string>",
"system": "<string>",
"value": "<string>",
"use": "<string>",
"period": {
"id": "<string>",
"start": "<string>",
"end": "<string>"
}
}
],
"source": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
},
"includes": {}
}{
"message": "<string>",
"details": "<array>",
"additionalContext": {}
}{
"message": "<string>",
"details": "<array>",
"additionalContext": {}
}{
"message": "<string>",
"details": "<array>",
"additionalContext": {}
}{
"message": "<string>",
"details": "<array>",
"additionalContext": {}
}Relationships
Get a relationship from the registry
Get a relationship from the registry.
GET
/
sources
/
{sourceKey}
/
v1
/
relationships
/
{relationshipType}
/
{id}
Get a relationship from the registry
Authorizations
apiKeybasicHttpAuthbearerHttpAuth
Path Parameters
The key of the source.
The key of the relationship definition.
The unique identifier of the relationship with the following formats:
- v1RelationshipID format:
{fromID}.{toID}(e.g.123.456). - v1Identifier format:
{system}:{value}:{use}(e.g.clinia:123:use).
Query Parameters
List of resource types to includes with the response. Includes must be valid resource types for the given relationship definition.
Response
The relationship with the given id.
The included resources.
The unique identifier of the relationship.
This is a key with the shape {fromID}.{toID}.
Pattern:
^[^.]+.[^.]+$Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I